Subject: Re: bug#4260: 23.1.50; tramp is loading unnecessarily

From: Stefan Monnier <[email-masked]>
Date: Thu, 27 Aug 2009 01:02:19 -0400

> Because partial completion is enabled by default in Emacs 23. It wasn't
> in Emacs 22.

As I said, I think the current behavior is wrong and should be fixed.
"check if partial-completion is enabled" was a heuristic which worked in
Emacs-23.  It's not The Right Thing.  So we shouldn't take it as holy
word and stick to it.  Instead we should revisit it.
The thing that does matter is that "emacs -Q" should not autoload Tramp when
you just do C-x C-f /s TAB

        Stefan